.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.main {
    flex-grow: 1;
    padding-top: rem(24);
    padding-bottom: rem(24);

    @media (min-width: $screen-xl) {
        padding-top: rem(62);
        padding-bottom: rem(62);
    }
}

.swiper {
    width: 100%;
    height: 100%;
}

.modal {
    padding: rem(24);

    @include media-breakpoint-up(md) {
        padding: rem(32);
    }
}

.intro-text {
    margin-bottom: rem(35);

    @media (min-width: $screen-md) {
        margin-bottom: rem(41);
    }

    @media (min-width: $screen-xl) {
        margin-bottom: rem(68);
    }
}

.jury {

    &:not(:last-child) {
        margin-bottom: rem(57);
    }

    &__header {
        color: var(--color-white);
        font-weight: 700;
        font-size: rem(24);
        line-height: normal;
        margin-bottom: rem(29);
        text-transform: uppercase;
        font-family: var(--font-secondary);
    }

    &__content {
        display: grid;
        grid-row-gap: rem(29);
        grid-template-columns: 1fr;
    }

    @media (min-width: $screen-md) {

        &:not(:last-child) {
            margin-bottom: rem(66);
        }

        &__header {
            font-size: rem(28);
            margin-bottom: rem(24);
        }

        &__content {
            grid-row-gap: rem(24);
        }
    }

    @media (min-width: $screen-xl) {

        &:not(:last-child) {
            margin-bottom: rem(48);
        }

        &__header {
            font-size: rem(28);
            margin-bottom: rem(48);
        }

        &__content {
            grid-column-gap: rem(24);
            grid-template-columns: 1fr 1fr;
        }
    }
}

.section-jury {
    z-index: 30;
    position: relative;
    padding-top: rem(20);
    margin-bottom: rem(24);

    &__header {
        text-align: center;
        position: relative;
        margin-bottom: rem(12);
    }

    &__text {
        color: #D3D3D3;
        text-align: center;
        font-size: rem(16);
        line-height: normal;
        margin-bottom: rem(56);
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    &__main {
        position: relative;
        margin-bottom: rem(44);
    }

    &__slider {
        margin: 0 auto;
        width: rem(242);
    }

    &__nav {
        display: none;
    }

    @media (min-width: $screen-md) {
        margin-bottom: rem(48);

        &__slider {
            margin: 0 auto;
            width: rem(360);
        }

        &__main {
            width: rem(360);
            margin: 0 auto rem(60) auto;
        }

        &__nav {
            z-index: 20;
            right: rem(-64);
            top: calc(50% - 28px);
            display: block;
            position: absolute;
        }

        &__button {
            text-align: center;

            .btn {
                width: auto;
            }
        }
    }

    @media (min-width: $screen-xl) {
        padding-top: rem(38);
        margin-bottom: rem(154);

        &__main {
            width: rem(1240);
            margin-left: auto;
            margin-right: auto;
            margin-bottom: rem(84);
        }

        &__slider {
            width: 100%;
            margin: 0;
        }
    }

    @media (min-width: $screen-xxl) {

        &__main {
            width: rem(1340);
        }
    }
}

[data-jury] {

    @media (min-width: $screen-md) {
        overflow: visible;

        .swiper-slide {
            filter: blur(5px);
        }

        .swiper-slide-active {
            filter: blur(0);
        }
    }

    @media (min-width: $screen-xl) {
        overflow: hidden;

        .swiper-slide {
            filter: blur(0);
        }
    }

    @media (min-width: $screen-xxl) { }
}

.home-nomination {
    padding-top: rem(54);
    padding-bottom: rem(46);
    background: url("../img/nomination_home.jpg") 50% 50% no-repeat;
    background-size: cover;

    &__header {
        margin-bottom: rem(28);
    }

    &__text {
        color: #D3D3D3;
        max-width: rem(520);
        font-weight: 500;
        font-size: rem(18);
        line-height: normal;
        margin-bottom: rem(28);
    }

    @include media-breakpoint-up(md) {
        height: rem(650);
        padding-top: rem(205);
        padding-left: rem(50);
    }

    @include media-breakpoint-up(xl) {
        padding-left: 0;
        padding-top: rem(208);
    }
}

.section-news {
    position: relative;
    padding-top: rem(38);
    margin-bottom: rem(45);

    &__button {
        margin-top: rem(40);

        .btn {
            width: 100%;
        }
    }

    @media (min-width: $screen-md) {
        padding-top: rem(148);
        margin-bottom: rem(133);

        &__button {

            .btn {
                width: auto;
            }
        }
    }

    @media (min-width: $screen-xl) {
        padding-top: rem(195);

        &__button {
            margin-top: rem(88);
        }
    }
}

.swiper-pagination {
    top: auto;
    left: auto;
    right: auto;
    bottom: auto;
    font-size: 0;
    line-height: 0;
    margin-top: rem(31);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;

    @media (min-width: $screen-xl) {
        margin-top: rem(72);
    }
}

.swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    display: block;
    margin: 0 5px;
    cursor: pointer;
    border-radius: 50%;
    border: 1px solid #404040;
    flex-shrink: 0;
}

.swiper-pagination-bullet-active {
    width: 11px;
    height: 11px;
    border-color: $white;
    background-color: $white;
}

.main-page {

    &__header {
        margin-bottom: rem(40);
    }

    &__sidebar {
        display: none;
    }

    @media (min-width: $screen-md) {

        &__header {
            margin-bottom: rem(30);
        }
    }

    @include media-breakpoint-up(xl) {
        display: grid;
        grid-column-gap: rem(44);
        grid-template-columns: rem(340) auto;

        &__header {
            margin-bottom: rem(48);
        }

        &__sidebar {
            display: block;
        }
    }
}

.side-nav {
    margin: 0;
    padding: 0;
    list-style: none;
    min-height: 50%;
    font-size: rem(18);
    line-height: normal;
    font-family: $font-family-secondary;
    box-shadow: -1px 0px 0px 0px rgba(255, 255, 255, 0.25) inset;

    &__item {
    }

    &__link {
        margin: 0;
        border: none;
        outline: none;
        color: #BABABA;
        cursor: pointer;
        background: transparent;
        font-weight: 300;
        text-decoration: none;
        padding: 0 rem(8);
        min-height: rem(50);
        display: flex;
        align-items: center;
        transition: .25s;

        &:hover {
            color: $white;
            text-decoration: none;
            transition: .25s;
        }

        &.active {
            font-weight: 600;
            color: $white;
        }
    }
}

.compilation {

    &__header {

    }

    &__main {
        position: relative;
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}

@media (min-width: $screen-sm) { }

@media (min-width: $screen-md) { }

@media (min-width: $screen-lg) { }

@media (min-width: $screen-xl) { }

@media (min-width: $screen-xxl) { }
